%global pypi_name python-ly

Name:           %{pypi_name}
Version:        0.9.5
Release:        %mkrel 2
Group:          Development/Python
Summary:        Tool and library for manipulating LilyPond files
License:        GPLv2+
URL:            https://github.com/wbsoft/python-ly
Source0:        https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
This package provides a Python library ly containing various Python
modules to parse, manipulate or create documents in LilyPond format.
A command line program ly is also provided that can be used to do
various manipulations with LilyPond files.

%package -n     python3-ly
Summary:        Tool and library for manipulating LilyPond files
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-ly
This package provides a Python 3 library ly containing various Python
modules to parse, manipulate or create documents in LilyPond format.
A command line program ly is also provided that can be used to do
various manipulations with LilyPond files.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

%build
%py2_build
%py3_build

%install
%py2_install
mv %{buildroot}%{_bindir}/ly %{buildroot}%{_bindir}/python2-ly
mv %{buildroot}%{_bindir}/ly-server %{buildroot}%{_bindir}/python2-ly-server

%py3_install

%files
%{_bindir}/python2-ly
%{_bindir}/python2-ly-server
%{python2_sitelib}/*

%files -n python3-ly
%{_bindir}/ly
%{_bindir}/ly-server
%{python3_sitelib}/*


%changelog
* Fri Mar 03 2017 daviddavid <daviddavid> 0.9.5-2.mga6
+ Revision: 1088602
- fix python2 and python3 binaries
- make python3 the default

* Mon Feb 27 2017 mitya <mitya> 0.9.5-1.mga6
+ Revision: 1088133
- New version 0.9.5

* Wed Feb 08 2017 mitya <mitya> 0.9.4-1.mga6
+ Revision: 1085118
- New version 0.9.4

* Tue Jan 19 2016 daviddavid <daviddavid> 0.9.3-1.mga6
+ Revision: 925789
- new version: 0.9.3
- add python3 package
- use new python macros

* Tue Sep 01 2015 fwang <fwang> 0.9.2-3.mga6
+ Revision: 871872
- should be noarch package

* Tue Sep 01 2015 fwang <fwang> 0.9.2-2.mga6
+ Revision: 871848
- disable python3 flavour

* Tue Sep 01 2015 fwang <fwang> 0.9.2-1.mga6
+ Revision: 871842
- imported package python-ly

